services:
    _defaults:
        public: true

    UJM\ExoBundle\Manager\Attempt\AnswerManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@UJM\ExoBundle\Validator\JsonSchema\Attempt\AnswerValidator'
            - '@ujm_exo.serializer.answer'

    UJM\ExoBundle\Manager\Attempt\PaperManager:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@event_dispatcher'
            - '@Claroline\AppBundle\API\Crud'
            - '@ujm_exo.serializer.paper'
            - '@UJM\ExoBundle\Manager\Item\ItemManager'
            - '@UJM\ExoBundle\Manager\Attempt\ScoreManager'
            - '@Claroline\EvaluationBundle\Manager\ResourceEvaluationManager'

    UJM\ExoBundle\Manager\Attempt\ScoreManager: ~

    UJM\ExoBundle\Manager\Item\ItemManager:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@UJM\ExoBundle\Manager\Attempt\ScoreManager'
            - '@UJM\ExoBundle\Validator\JsonSchema\Item\ItemValidator'
            - '@ujm_exo.serializer.item'
            - '@ujm_exo.collection.item_definitions'
            - '@UJM\ExoBundle\Serializer\Item\HintSerializer'

    UJM\ExoBundle\Manager\Item\ShareManager:
        arguments:
            - '@security.authorization_checker'
            - '@Claroline\AppBundle\Persistence\ObjectManager'

    UJM\ExoBundle\Manager\AttemptManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@ujm_exo.generator.paper'
            - '@UJM\ExoBundle\Manager\Attempt\PaperManager'
            - '@UJM\ExoBundle\Manager\Attempt\AnswerManager'
            - '@UJM\ExoBundle\Manager\Item\ItemManager'
            - '@ujm_exo.serializer.item'
            - '@event_dispatcher'

    UJM\ExoBundle\Manager\CorrectionManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@UJM\ExoBundle\Manager\Attempt\AnswerManager'
            - '@UJM\ExoBundle\Manager\Attempt\PaperManager'
            - '@ujm_exo.serializer.item'

    UJM\ExoBundle\Manager\DocimologyManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@UJM\ExoBundle\Manager\Item\ItemManager'
            - '@UJM\ExoBundle\Manager\Attempt\PaperManager'

    UJM\ExoBundle\Manager\ExerciseManager:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@UJM\ExoBundle\Validator\JsonSchema\ExerciseValidator'
            - '@ujm_exo.serializer.exercise'
            - '@UJM\ExoBundle\Manager\Item\ItemManager'
            - '@UJM\ExoBundle\Manager\Attempt\PaperManager'
            - '@ujm_exo.collection.item_definitions'
            - '@event_dispatcher'
